Subject: Re: [PATCH v7 0/3] dsa: marvell: Add support for mv88e6071 and 6020 switches

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 24 May 2023 13:37:15 +0100

On Wed, May 24, 2023 at 02:17:43PM +0200, Lukasz Majewski wrote:
> Hi Andrew,
> 
> > On Tue, May 23, 2023 at 04:29:09PM +0200, Lukasz Majewski wrote:
> > > After the commit (SHA1: 7e9517375a14f44ee830ca1c3278076dd65fcc8f);
> > > "net: dsa: mv88e6xxx: fix max_mtu of 1492 on 6165, 6191, 6220,
> > > 6250, 6290" the error when mv88e6020 or mv88e6071 is used is not
> > > present anymore.  
> > 
> > >   dsa: marvell: Define .set_max_frame_size() function for mv88e6250
> > > SoC family  
> > 
> > Hi Lukasz
> > 
> > commit 7e9517375a14f44ee830ca1c3278076dd65fcc8f
> > Author: Vladimir Oltean <[email-masked]>
> > Date:   Tue Mar 14 20:24:05 2023 +0200
> > 
> >     net: dsa: mv88e6xxx: fix max_mtu of 1492 on 6165, 6191, 6220,
> > 6250, 6290 
> >     There are 3 classes of switch families that the driver is aware
> > of, as far as mv88e6xxx_change_mtu() is concerned:
> >     
> >     - MTU configuration is available per port. Here, the
> >       chip->info->ops->port_set_jumbo_size() method will be present.
> >     
> >     - MTU configuration is global to the switch. Here, the
> >       chip->info->ops->set_max_frame_size() method will be present.
> >     
> >     - We don't know how to change the MTU. Here, none of the above
> > methods will be present.
> >     
> >     Switch families MV88E6165, MV88E6191, MV88E6220, MV88E6250 and
> > MV88E6290 fall in category 3.
> > 
> > 
> > Vladimir indicates here that it is not known how to change the max MTU
> > for the MV88E6250. Where did you get the information from to implement
> > it?
> 
> Please refer to [1].
> 
> The mv88e6185_g1_set_max_frame_size() function can be reused (as
> registers' offsets and bits are the same for mv88e60{71|20}).
> 
> After using Vladimir's patch there is no need to add max_frame size
> field and related patches from v6 can be dropped.

However, you haven't responded to:

https://lore.kernel.org/all/[email-masked]/

to explain why what you're doing (adding this function) is safe.

Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!